* [gentoo-dev] [PATCH] eclass update for php-ext-source-r3
@ 2019-09-17 17:52 99% Brian Evans
0 siblings, 0 replies; 1+ results
From: Brian Evans @ 2019-09-17 17:52 UTC (permalink / raw
To: gentoo-dev
[-- Attachment #1.1: Type: text/plain, Size: 1460 bytes --]
This diff is required to get proper support for PHP 7.4 and newer.
Upstream has discontinued acinclude.m4 and this has been breaking our
call to eautoreconf. Instead, we are now simulating their ./buildconf
script with our own toolchain functions to ensure cross-build compatibility.
diff --git a/eclass/php-ext-source-r3.eclass
b/eclass/php-ext-source-r3.eclass
index 5ef879a2be2..385bdb9dae0 100644
--- a/eclass/php-ext-source-r3.eclass
+++ b/eclass/php-ext-source-r3.eclass
@@ -15,7 +15,8 @@ inherit autotools
EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test
case ${EAPI:-0} in
- 6|7) ;;
+ 6) inherit eapi7-ver ;;
+ 7) ;;
*)
die "${ECLASS} is not compatible with EAPI=${EAPI}"
esac
@@ -183,10 +184,18 @@ php-ext-source-r3_phpize() {
# WANT_AUTOMAKE (see bugs #329071 and #549268).
autotools_run_tool "${PHPIZE}"
- # Force libtoolize to run and regenerate autotools files (bug
- # #220519).
- rm aclocal.m4 || die "failed to remove aclocal.m4"
- eautoreconf
+ # PHP >=7.4 no longer works with eautoreconf
+ if ver_test $PHP_CURRENTSLOT -ge 7.4 ; then
+ rm -fr aclocal.m4 autom4te.cache config.cache \
+ configure main/php_config.h.in || die
+ eautoconf --force
+ eautoheader
+ else
+ # Force libtoolize to run and regenerate autotools files (bug
+ # #220519).
+ rm aclocal.m4 || die "failed to remove aclocal.m4"
+ eautoreconf
+ fi
fi
}
[-- Attachment #2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 834 bytes --]
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2019-09-17 17:52 99% [gentoo-dev] [PATCH] eclass update for php-ext-source-r3 Brian Evans
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox